| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC1558_DC1808.ino File Reference
Switching Regulators, Battery Chargers, and LED Drivers » LTC3589: 8-Output Regulator with Sequencing and I2C

Linear Technology DC1558 and DC1808 Demonstration Boards. More...

## Detailed Description

Linear Technology DC1558 and DC1808 Demonstration Boards.

LTC3589: 8-Output Regulator with Sequencing and I2C

    SETUP:
       Set the terminal baud rate to 115200 and select the newline terminator.
       Set all switches in SW1 to their default position.
       Tie PWR_ON high by connecting it to VIN.
       Power VIN from an external power supply.

    NOTE:
       For proper IRQ LED behavior, move resistor R39 to the optional R38 position
       on the DC2026B.

http://www.linear.com/product/LTC3589

http://www.linear.com/product/LTC3589#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC1558_DC1808.ino.

Go to the source code of this file.

## Functions
static void | setup ()
static void | loop ()
| Repeats Linduino loop. More...
static int8_t | menu_1_read_write_registers ()
| Prints the Read/Write Registers menu and handles the user response. More...
static int8_t | menu_2_regulator_settings ()
| Prints the Regulator Settings menu and handles the user response. More...
static int8_t | menu_3_sequencing (uint8_t *reg_phase)
| Prints the Powerup Sequencing menu and handles the user response. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_warning_prompt ()
| Prints a warning that no demo board was not detected. More...
static int8_t | LTC3589_print_all_registers (uint8_t i2c_address)
| Reads and prints the data in every register. More...
boolean | valid_register (uint8_t user_register, uint8_t register_array[], uint8_t array_length)
| Checks to see if a register address is a valid address in this device. More...
static int8_t | discover_demo_boards (char *demo_name_1, char *demo_name_2)
| Read the ID string from the EEPROM to identify the connected demo board. More...

## Variables
static uint8_t | demo_board_connected
| Set to 1 if the board is connected. More...
static uint8_t | i2c_address
| I2C address set for all LTC3589 options. More...
static char | board_option
| Demo board option of the attached demo board. More...
char | demo_name_1 [] = "DC1558"
| Demo Board Name stored in QuikEval EEPROM. More...
char | demo_name_2 [] = "DC1808"
| Demo Board Name stored in QuikEval EEPROM. More...
static uint8_t | reg_phase [7] = {1,1,1,1,1,1,1}
| Power-up sequence phases for every regulator output. More...
static float | delay_ms = 0
| Delay between power-up phases. More...
static uint8_t | reg_read_list [15] = {0x07,0x010,0x12,0x20,0x23,0x24,0x25,0x26,0x27,0x29,0x2A,0x32,0x33,0x02,0x13}
static uint8_t | reg_write_list [14] = {0x07,0x010,0x12,0x20,0x21,0x23,0x24,0x25,0x26,0x27,0x29,0x2A,0x32,0x33}

## Function Documentation

## ◆ discover_demo_boards()

static int8_t discover_demo_boards | ( | char * | demo_name_1,
|  | char * | demo_name_2
| ) |  |
| static

Read the ID string from the EEPROM to identify the connected demo board.

Returns
  Returns 1 if successful, 0 if not successful

Definition at line 985 of file DC1558_DC1808.ino.

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 103 of file DC1558_DC1808.ino.

## ◆ LTC3589_print_all_registers()

static int8_t LTC3589_print_all_registers | ( | uint8_t | i2c_address | ) |
| static

Reads and prints the data in every register.

Returns
  State of the acknowledge bit. 0=acknowledge, 1=no acknowledge.

Definition at line 952 of file DC1558_DC1808.ino.

## ◆ menu_1_read_write_registers()

static int8_t menu_1_read_write_registers | ( |  | ) |
| static

Prints the Read/Write Registers menu and handles the user response.

Returns
  State of the acknowledge bit after menu selection. 0=valid selection, 1=invalid selection.

Definition at line 143 of file DC1558_DC1808.ino.

## ◆ menu_2_regulator_settings()

static int8_t menu_2_regulator_settings | ( |  | ) |
| static

Prints the Regulator Settings menu and handles the user response.

Returns
  State of the acknowledge bit after menu selection. 0=valid selection, 1=invalid selection.

Definition at line 284 of file DC1558_DC1808.ino.

## ◆ menu_3_sequencing()

static int8_t menu_3_sequencing | ( | uint8_t * | reg_phase | ) |
| static

Prints the Powerup Sequencing menu and handles the user response.

Returns
  State of the acknowledge bit after menu selection. 0=valid selection, 1=invalid selection.

Definition at line 745 of file DC1558_DC1808.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 936 of file DC1558_DC1808.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 915 of file DC1558_DC1808.ino.

## ◆ print_warning_prompt()

static void print_warning_prompt | ( |  | ) |
| static

Prints a warning that no demo board was not detected.

Definition at line 945 of file DC1558_DC1808.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Definition at line 81 of file DC1558_DC1808.ino.

## ◆ valid_register()

boolean valid_register | ( | uint8_t | user_register,
|  | uint8_t | register_array[],
|  | uint8_t | array_length
| ) |  |

Checks to see if a register address is a valid address in this device.

Check if user_register is a valid register for the LTM9100.

Returns
  State of the acknowledge bit after the I2C address write. 0=acknowledge, 1=no acknowledge.

Definition at line 970 of file DC1558_DC1808.ino.

## Variable Documentation

## ◆ board_option

char board_option
| static

Demo board option of the attached demo board.

Definition at line 73 of file DC1558_DC1808.ino.

## ◆ delay_ms

float delay_ms = 0
| static

Delay between power-up phases.

Definition at line 77 of file DC1558_DC1808.ino.

## ◆ demo_board_connected

uint8_t demo_board_connected
| static

Set to 1 if the board is connected.

Definition at line 71 of file DC1558_DC1808.ino.

## ◆ demo_name_1

char demo_name_1[] = "DC1558"

Demo Board Name stored in QuikEval EEPROM.

Definition at line 74 of file DC1558_DC1808.ino.

## ◆ demo_name_2

char demo_name_2[] = "DC1808"

Demo Board Name stored in QuikEval EEPROM.

Definition at line 75 of file DC1558_DC1808.ino.

## ◆ i2c_address

uint8_t i2c_address
| static

I2C address set for all LTC3589 options.

Definition at line 72 of file DC1558_DC1808.ino.

## ◆ reg_phase

uint8_t reg_phase[7] = {1,1,1,1,1,1,1}
| static

Power-up sequence phases for every regulator output.

Definition at line 76 of file DC1558_DC1808.ino.

## ◆ reg_read_list

uint8_t reg_read_list[15] = {0x07,0x010,0x12,0x20,0x23,0x24,0x25,0x26,0x27,0x29,0x2A,0x32,0x33,0x02,0x13}
| static

Definition at line 78 of file DC1558_DC1808.ino.

## ◆ reg_write_list

uint8_t reg_write_list[14] = {0x07,0x010,0x12,0x20,0x21,0x23,0x24,0x25,0x26,0x27,0x29,0x2A,0x32,0x33}
| static

Definition at line 79 of file DC1558_DC1808.ino.